Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 11203)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IAuthorizationManager.cs	(revision 11204)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs	(revision 11203)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IEventManager.cs	(revision 11204)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 11203)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IHiveDao.cs	(revision 11204)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IOptimizedHiveDao.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IOptimizedHiveDao.cs	(revision 11203)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IOptimizedHiveDao.cs	(revision 11204)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -19,5 +19,4 @@
  */
 #endregion
-
 
 using System;
@@ -50,22 +49,6 @@
     #endregion
 
-    #region StateLog Methods
-
-    #endregion
-
-    #region Job Methods
-
-    #endregion
-
-    #region JobPermission Methods
-
-    #endregion
-
     #region Plugin Methods
     Plugin GetPluginById(Guid pluginId);
-    #endregion
-
-    #region PluginData Methods
-
     #endregion
 
@@ -79,34 +62,7 @@
     #endregion
 
-    #region SlaveGroup Methods
-
-    #endregion
-
     #region Resource Methods
     IEnumerable<Guid> GetAssignedResourceIds(Guid jobId);
     #endregion
-
-    #region ResourcePermission Methods
-
-    #endregion
-
-    #region Authorization Methods
-
-    #endregion
-
-    #region Lifecycle Methods
-
-    #endregion
-
-    #region Downtime Methods
-    #endregion
-
-    #region Statistics Methods
-
-    #endregion
-
-    #region UserPriority Methods
-
-    #endregion
   }
 }
Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 11203)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/IServiceLocator.cs	(revision 11204)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/ITaskScheduler.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/ITaskScheduler.cs	(revision 11203)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive/3.3/Interfaces/ITaskScheduler.cs	(revision 11204)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.