Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive.JanitorService/3.3/HeuristicLab.Services.Hive.JanitorService-3.3.csproj
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive.JanitorService/3.3/HeuristicLab.Services.Hive.JanitorService-3.3.csproj	(revision 11206)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive.JanitorService/3.3/HeuristicLab.Services.Hive.JanitorService-3.3.csproj	(revision 11207)
@@ -135,7 +135,12 @@
     </EmbeddedResource>
   </ItemGroup>
+  <ItemGroup>
+    <Content Include="ICSharpCode.SharpZipLib License.txt">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </Content>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
-   <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+    <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
 set ProjectDir=$(ProjectDir)
 set SolutionDir=$(SolutionDir)
@@ -143,5 +148,5 @@
 
 call PreBuildEvent.cmd</PreBuildEvent>
-<PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
+    <PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
 export ProjectDir=$(ProjectDir)
 export SolutionDir=$(SolutionDir)
Index: branches/HiveStatistics/sources/HeuristicLab.Services.Hive.JanitorService/3.3/ICSharpCode.SharpZipLib License.txt
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Services.Hive.JanitorService/3.3/ICSharpCode.SharpZipLib License.txt	(revision 11207)
+++ branches/HiveStatistics/sources/HeuristicLab.Services.Hive.JanitorService/3.3/ICSharpCode.SharpZipLib License.txt	(revision 11207)
@@ -0,0 +1,13 @@
+#ziplib (SharpZipLib, formerly NZipLib) is a Zip, GZip, Tar and BZip2 library written entirely in C# for the .NET platform. It is implemented as an assembly (installable in the GAC), and thus can easily be incorporated into other projects (in any .NET language). The creator of #ziplib put it this way: "I've ported the zip library over to C# because I needed gzip/zip compression and I didn't want to use libzip.dll or something like this. I want all in pure C#."
+
+License
+
+The library is released under the GPL with the following exception:
+
+Linking this library statically or dynamically with other modules is making a combined work based on this library. Thus, the terms and conditions of the GNU General Public License cover the whole combination.
+
+As a special exception, the copyright holders of this library give you permission to link this library with independent modules to produce an executable, regardless of the license terms of these independent modules, and to copy and distribute the resulting executable under terms of your choice, provided that you also meet, for each linked independent module, the terms and conditions of the license of that module. An independent module is a module which is not derived from or based on this library. If you modify this library, you may extend this exception to your version of the library, but you are not obligated to do so. If you do not wish to do so, delete this exception statement from your version.
+
+Note: The exception is changed to reflect the latest GNU Classpath exception. Older versions of #ziplib did have another exception, but the new one is clearer and it doesn't break compatibility with the old one.
+
+Bottom line: In plain English this means you can use this library in commercial closed-source applications.
Index: branches/HiveStatistics/sources/JanitorSetup/JanitorSetup.isl
===================================================================
--- branches/HiveStatistics/sources/JanitorSetup/JanitorSetup.isl	(revision 11206)
+++ branches/HiveStatistics/sources/JanitorSetup/JanitorSetup.isl	(revision 11207)
@@ -53,5 +53,5 @@
 		<codepage>1252</codepage>
 		<title>##ID_STRING4##</title>
-		<subject/>
+		<subject></subject>
 		<author>HEAL</author>
 		<keywords>Installer,MSI,Database</keywords>
@@ -343,5 +343,4 @@
 		<row><td>C__525E014B147F4FBE890561EF695CAE34</td><td>{1DA88AD4-05A5-4377-BBB4-0A714EA82286}</td><td>INSTALLDIR</td><td>2</td><td/><td>_525E014B147F4FBE890561EF695CAE34</td><td>17</td><td/><td/><td/><td>/LogFile=</td><td>/LogFile=</td><td>/LogFile=</td><td>/LogFile=</td></row>
 		<row><td>C__830DEB35A0E94E6F97C523B8D05CE085</td><td>{CA6F94EE-D097-43FF-98A3-502CE4190C26}</td><td>INSTALLDIR</td><td>2</td><td/><td>_830DEB35A0E94E6F97C523B8D05CE085</td><td>81</td><td/><td/><td/><td>/LogFile=</td><td>/LogFile=</td><td>/LogFile=</td><td>/LogFile=</td></row>
-		<row><td>C__B833A2173F65481C9293B978793A2D7C</td><td>{3574E5DE-1B53-41D1-A6E2-0CA18B6C65A6}</td><td>INSTALLDIR</td><td>2</td><td/><td>_B833A2173F65481C9293B978793A2D7C</td><td>17</td><td/><td/><td/><td>/LogFile=</td><td>/LogFile=</td><td>/LogFile=</td><td>/LogFile=</td></row>
 	</table>
 
@@ -1872,5 +1871,4 @@
 		<row><td>AlwaysInstall</td><td>C__525E014B147F4FBE890561EF695CAE34</td></row>
 		<row><td>AlwaysInstall</td><td>C__830DEB35A0E94E6F97C523B8D05CE085</td></row>
-		<row><td>AlwaysInstall</td><td>C__B833A2173F65481C9293B978793A2D7C</td></row>
 	</table>
 
@@ -1889,5 +1887,4 @@
 		<row><td>_525E014B147F4FBE890561EF695CAE34</td><td>C__525E014B147F4FBE890561EF695CAE34</td><td>HEURIS~1.ICO|HeuristicLab.ico</td><td>0</td><td/><td/><td>512</td><td>1</td><td>&lt;VSSolutionFolder&gt;\HeuristicLab\3.3\HeuristicLab.ico</td><td>5</td><td/></row>
 		<row><td>_830DEB35A0E94E6F97C523B8D05CE085</td><td>C__830DEB35A0E94E6F97C523B8D05CE085</td><td>HeuristicLab.Services.Hive.JanitorService-3.3.Primary output</td><td>0</td><td/><td/><td>512</td><td>1</td><td>&lt;HeuristicLab.Services.Hive.JanitorService-3.3&gt;|Built</td><td>7</td><td/></row>
-		<row><td>_B833A2173F65481C9293B978793A2D7C</td><td>C__B833A2173F65481C9293B978793A2D7C</td><td>ICSHAR~1.TXT|ICSharpCode.SharpZipLib License.txt</td><td>0</td><td/><td/><td>512</td><td>1</td><td>&lt;VSSolutionFolder&gt;\HeuristicLab.Services.Hive.JanitorServiceSetup-3.4\ICSharpCode.SharpZipLib License.txt</td><td>5</td><td/></row>
 	</table>
 
@@ -2033,5 +2030,4 @@
 		<row><td>C__525E014B147F4FBE890561EF695CAE34</td><td/><td/><td>_3B1930E4_53B0_44B8_A26B_F9F51E7AD2DE_FILTER</td><td/><td/><td/><td/></row>
 		<row><td>C__830DEB35A0E94E6F97C523B8D05CE085</td><td/><td/><td>_97DEE081_5ADC_4F7A_B66A_09DAB34B7F09_FILTER</td><td/><td/><td/><td/></row>
-		<row><td>C__B833A2173F65481C9293B978793A2D7C</td><td/><td/><td>_4E5D0BA7_ABB2_4964_9A2E_9D13DDFBA6F0_FILTER</td><td/><td/><td/><td/></row>
 	</table>
 
@@ -4003,5 +3999,5 @@
 		<row><td>ISUSLock</td><td>{374B7926-1229-4017-B46E-3E9F2B520057}</td></row>
 		<row><td>ISUSSignature</td><td>{90096891-25D3-463F-91A6-E692E83BEDB5}</td></row>
-		<row><td>ISVisitedViews</td><td>viewAssistant,viewProject,viewUI</td></row>
+		<row><td>ISVisitedViews</td><td>viewAssistant,viewProject,viewUI,viewAppFiles,viewFeatureFiles,viewDependencies</td></row>
 		<row><td>Limited</td><td>1</td></row>
 		<row><td>LockPermissionMode</td><td>1</td></row>